Ga Terug  
     


Installatie, Upgrade en Backup (2.5) Plaats hier je vragen over de installatie, upgrade en/of backup van Joomla! 2.5 Ook vragen over het verhuizen van je Joomla! site kun je hier plaatsen

Antwoord
 
Onderwerpopties Weergavemodus
Oud 19 juni 2012, 14:53   #1
tasty
 
Geregistreerd op: 7 februari 2011
Locatie: Amsterdam
Berichten: 27
Bedankjes gegeven: 0
Bedankjes ontvangen: 0
Standaard Update naar 2.5.5 niet mogelijk ivm rechten

Ik probeerde te updaten van 2.5.4 naar 2.5.5. Dat werkt nu weer anders dan de vorige update. Niet meer via Extensiebeheer, maar via Componenten > Joomla! update, waar je ook komt via de Updateknop in het Control panel.

Deze nieuwe component kent twee methoden: Schrijf bestanden direct en Schrijf bestanden met gebruik van FTP. Als ik de tweede kies worden niet de FTP gegevens uit de Algemene instellingen gebruikt. Je moet ze opnieuw invoeren.

Helaas werkt de FTP methode niet. Ik krijg foutmeldingen over bestanden die niet schrijfbaar zijn. Eerst readme.php, daarna en ander bestand en dit zal vermoedelijk uren door kunnen gaan, waarbij elke keer de FTP gegevens opnieuw ingevoerd moeten worden.

De rechten in Joomla zijn altijd al een probleem geweest. Mijn hoster heeft hier telkens een oplossing voor gevonden. Recent nog om updates vanuit 1.7 mogelijk te maken.
Maar als Joomla bij elke veiligheidsupdate het systeem veranderd wordt het wel heel erg lastig om te kunnen updaten en dat komt zeker de veiligheid niet ten goede.

Nou ja, daar moeten we dan maar mee leven.

Voor nu: weet iemand hoe ik toch een update kan doen?

Laatst aangepast door tasty : 19 juni 2012 om 14:54. Reden: typo
tasty is offline Stuur een bericht via Skype™ naar tasty   Met citaat antwoorden
Oud 19 juni 2012, 15:46   #2
PaulG
 
PaulG's Avatar
 
Geregistreerd op: 15 december 2011
Locatie: Gelderland
Leeftijd: 55
Berichten: 55
Bedankjes gegeven: 2
Bedankjes ontvangen: 10
Standaard Re: Update naar 2.5.5 niet mogelijk ivm rechten

Heb je de "Schrijf bestanden direct" methode al geprobeerd?
Je kunt ook nog steeds via de Extensionmanager installeren via de Update-tab. Als 'ie niet in het rijtje staat moet je eerst de Cache opschonen en daarna op de knop "Updates zoeken" klikken.
En mocht dat ook niet lukken dan kun je een update-pakket downloaden naar je pc en via de Extensionmanager, tabblad Install, installeren.

Groet, Paul
PaulG is offline   Met citaat antwoorden
Oud 19 juni 2012, 16:30   #3
tasty
 
Geregistreerd op: 7 februari 2011
Locatie: Amsterdam
Berichten: 27
Bedankjes gegeven: 0
Bedankjes ontvangen: 0
Standaard Re: Update naar 2.5.5 niet mogelijk ivm rechten

Dag Paul,

Ja, ik heb ook de "Schrijf bestanden direct" methode geprobeerd, dat geeft dezelfde foutmelding.

In de Extensionmanager verschijnt hij niet in het rijtje ook niet nadat ik Cache opschonen en daarna op de knop "Updates zoeken" klik. Enkel extensies en het NL taalbestand staan dan in de lijst.

Ik ga je derde methode later proberen, want ik maak me inmiddels ook zorgen over de bugs die over 2/.5.5 gerapporteerd zijn.
tasty is offline Stuur een bericht via Skype™ naar tasty   Met citaat antwoorden
Oud 19 juni 2012, 17:00   #4
Spirit
Forum Beheer
 
Spirit's Avatar
 
Geregistreerd op: 4 maart 2008
Locatie: Köln (DE)
Leeftijd: 36
Berichten: 2.518
Bedankjes gegeven: 552
Bedankjes ontvangen: 571
Standaard Re: Update naar 2.5.5 niet mogelijk ivm rechten

Citaat:
Origineel geplaatst door tasty Bekijk Bericht

De rechten in Joomla zijn altijd al een probleem geweest. Mijn hoster heeft hier telkens een oplossing voor gevonden. Recent nog om updates vanuit 1.7 mogelijk te maken.
Maar als Joomla bij elke veiligheidsupdate het systeem veranderd wordt het wel heel erg lastig om te kunnen updaten en dat komt zeker de veiligheid niet ten goede.
De rechten binnen Joomla zijn niet het probleem. Het probleem ligt bij de de webhoster!


Op een goed geconfigureerde server heb je geen enkel probleem met rechten, is het niet nodig mappen schrijfbaar te maken en hoef je ook geen gebruik te maken van bv een ftp layer/functie.

Marco Richter

E-COMMERZ Internet solutions
[E-COMMERZ UG / HRB77736 Amtsgericht Köln • Köln (DE)]
[E-commerz / KvK 54737842 • Heerenveen (NL)]
Spirit is offline Stuur een bericht via ICQ naar Spirit Stuur een bericht via MSN naar Spirit Stuur een bericht via Skype™ naar Spirit   Met citaat antwoorden
Oud 19 juni 2012, 17:41   #5
Marijke
Teamleider Taalteam
Gebruikersgroep Enschede
 
Marijke's Avatar
 
Geregistreerd op: 4 maart 2008
Locatie: Enschede
Leeftijd: 51
Berichten: 4.514
Bedankjes gegeven: 462
Bedankjes ontvangen: 1.525
Standaard Re: Update naar 2.5.5 niet mogelijk ivm rechten

Ik kan dit bevestigen, heb daarvoor ook een tracker item aangemaakt:
http://joomlacode.org/gf/project/joo..._item_id=28688

Het probleem is aan de basis uiteraard de server inrichting, niet Joomla vriendelijk.
Aan de andere kant, voorheen werkte dit wel goed wanneer FTP is ingeschakeld in de algemene opties. Dus in feite maakt deze vernieuwing het er niet beter op (eerder minder gemakkelijk) voor mensen op servers die niet goed geconfigureerd zijn. De vraag dient zich dan aan, moet Joomla hier wel of geen rekening mee houden in de ondersteuning. Zo nee, dan kan men beter deze optie weghalen, zo ja, dan zou ervoor gezorgd moeten worden dat het ook goed werkt is mijn redenering.

Work around is iig een updatepakket installeren via extensiebeheer. Ik denk dat dat gemakkelijker is dan het aanpassen van de rechten van alle bestanden en mappen. Uiteraard zul je dan wel de FTP instellingen in de algemene instellingen moeten inschakelen.

Wijsheid is weten wanneer je dom mag zijn.
Teamleider Taalteam JoomlaCommunity | Joomla Bug Squad Member | Joomla Translation Teams Member
Joomla Translation Coordination Team Member | JSST | OSM Board Member
Twitter | Flickr
Marijke is offline Stuur een bericht via Skype™ naar Marijke   Met citaat antwoorden
Oud 19 juni 2012, 21:07   #6
SPABO
 
SPABO's Avatar
 
Geregistreerd op: 12 november 2011
Locatie: Kortenhoef
Leeftijd: 64
Berichten: 26
Bedankjes gegeven: 0
Bedankjes ontvangen: 1
Standaard Re: Update naar 2.5.5 niet mogelijk ivm rechten

Bij mij werkt het ook niet met de Extensionmanager

De oplossing is vaak dischterbij dan je denkt
"Carpe Diem"
SPABO is offline   Met citaat antwoorden
Oud 20 juni 2012, 19:14   #7
Rutger
Moderatorteam
 
Rutger's Avatar
 
Geregistreerd op: 29 september 2008
Leeftijd: 38
Berichten: 487
Bedankjes gegeven: 31
Bedankjes ontvangen: 79
Standaard Re: Update naar 2.5.5 niet mogelijk ivm rechten

Zojuist meerdere sites zonder problemen omgezet.

Bij IT-ers gaat alles automatisch, maar niets vanzelf.
Joomla Security Document | JoomlaCommunity op FB
Moderator & DocuTeam Joomla!Community.eu
Rutger is offline   Met citaat antwoorden
Antwoord

Onderwerpopties
Weergavemodus

Berichting Regels
Je mag niet nieuwe onderwerpen maken
Je mag niet reageren op berichten
Je mag niet bijlagen posten
Je mag niet je berichten bewerken

BB code is Aan
Smilies zijn Aan
[IMG] code is Aan
HTML code is Uit

Forumnavigatie


Alle tijden zijn GMT +1. De tijd is nu 17:44.